```@meta
CurrentModule = OMOPCommonDataModel
```

# Automatically generating the structs

The struct definitions in `OMOPCommonDataModel.jl` are automatically generated.

Here is how they are generated:
```julia
julia> run(`git clone https://github.com/JuliaHealth/OMOPCommonDataModel.jl.git`)

julia> cd("OMOPCommonDataModel.jl")

julia> using Pkg

julia> Pkg.activate(pwd())

julia> Pkg.instantiate()

julia> cd("src")

julia> using OMOPCommonDataModel

julia> OMOPCommonDataModel.Generate.generate() # this will write the generated struct definitions to `src/autogenerated.jl`
```

## Generate API

```@autodocs
Modules = [OMOPCommonDataModel.Generate]
```
